package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gcdgrp;
import com.brilliance.isc.vo.model.Gidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GctfeeStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private String umbflg;
    private Boolean adaflg = false;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
    }
}
